Xerces-C++: BinMemInputStream Class Reference

# BinMemInputStream Class Reference

Inheritance diagram for BinMemInputStream:

List of all members.

## Public Types
enum | BufOpts { BufOpt_Adopt, BufOpt_Copy, BufOpt_Reference }
## Public Member Functions
| BinMemInputStream (const XMLByte *const initData, const XMLSize_t capacity, const BufOpts bufOpt=BufOpt_Copy, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~BinMemInputStream ()
void | reset ()
virtual XMLFilePos | curPos () const
virtual XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)
virtual const XMLCh * | getContentType () const
| Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.
XMLSize_t | getSize () const

## Member Enumeration Documentation

enum BinMemInputStream::BufOpts

Enumerator:

  BufOpt_Adopt |
  BufOpt_Copy |
  BufOpt_Reference |

## Constructor & Destructor Documentation

BinMemInputStream::BinMemInputStream | ( | const XMLByte *const | initData,
|  | const XMLSize_t | capacity,
|  | const BufOpts | bufOpt = `BufOpt_Copy`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

virtual BinMemInputStream::~BinMemInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

void BinMemInputStream::reset | ( |  | ) |

XMLFilePos BinMemInputStream::curPos | ( |  | ) | const`[virtual]`

Implements BinInputStream.

virtual XMLSize_t BinMemInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const XMLSize_t | maxToRead |
| ) |  |  | `[virtual]`

Implements BinInputStream.

virtual const XMLCh* BinMemInputStream::getContentType | ( |  | ) | const`[virtual]`

Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.

If no such content type is provided for the data, 0 is returned. This function is expected to return the correct value at any time after the construction of the stream.

An example of the stream that may return non-0 from this function is an HTTP stream with the value returned taken from the "Content-Type" HTTP header. Note also that if the encoding of the data is known to the application by some other means then the setEncoding function in the InputSource object should be used instead. The getContentType function should only be used to return information that is intrinsic to the stream.

Returns:
  The content type, or 0 if one is not available.

Implements BinInputStream.

XMLSize_t BinMemInputStream::getSize | ( |  | ) | const

The documentation for this class was generated from the following file:

- BinMemInputStream.hpp